> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/mts-features-examples/bet-with-enabled-alternative-odds.md).

# Bet with Enabled Alternative Odds

This is an example of a bet where higher odds at the time of ticket acceptance are allowed ("oddsChange": "higher").

<details>

<summary><strong>Ticket Placement Request  -  Alternative Odds = Higher</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_3690",
    "bets": [
      {
        "selections": [
          {
            "type": "uf",
            "productId": "1",
            "eventId": "sr:match:16470657",
            "marketId": "1",
            "outcomeId": "2",
            "odds": {
              "type": "decimal",
              "value": "7.1"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "DKK",
            "amount": "12"
          }
        ],
        "context": {
          "oddsChange": "higher"
        }
      }
    ],
    "context": {
      "channel": {
        "type": "mobile",
        "ip": "109.74.24.155",
        "lang": "ES"
      },
      "endCustomer": {
        "id": "endCustomer_e34t45"
      },
      "limitId": 1409
    }
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1678202888000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<br>

The actual odds in the client's feed at the time of validation were higher than those submitted in the ticket. As higher odds were explicitly allowed in the ticket, MTS accepts the ticket and returns the actually accepted odds (object autoAcceptedOdds).

<details>

<summary><strong>Ticket Placement Response  -  With Actual Accepted Odds</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "HHDut7XIEl+SmjWB3xDB0AIB6fUZVFOvmGKm6Rcvxm0=",
    "status": "accepted",
    "ticketId": "Ticket_3690",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:16470657",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "7.1"
              }
            },
            "autoAcceptedOdds":  {
              "type": "decimal",
              "value": "7.3"
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "DKK",
        "toCurrency": "EUR",
        "rate": "0.13428"
      }
    ]
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1678202889000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/mts-features-examples/bet-with-enabled-alternative-odds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
